mate-search-tool(1)

NAME
mate-search-tool - the MATE Search Tool

SYNOPSIS
mate-search-tool [options]

or select Search for Files... from a Main Menu or from the Places menu in a Menu Bar

DESCRIPTION
MATE Search Tool is a utility for finding files on your system. To perform a basic search, you can type a filename or a partial filename, with or without wildcards. To refine your search, you can apply additional search options. MATE Search Tool uses the find, grep, and locate UNIX commands. The case sensitivity of the search depends on your operating system. For example, on Linux, the find, grep, and locate commands support the -i option, so all searches are case-insensitive. For full documentation see the MATE Search Tool online help.

OPTIONS

--help
    Show help message

--named=STRING
    Set the text of "Name contains" search option

--path=PATH
    Set the text of "Look in folder" search option

--sortby=VALUE
    Sort files by one of the following: name, folder, size, type, or date

--descending
    Set sort order to descending, the default is ascending

--start
    Automatically start a search

--contains=STRING
    Select and set the "Contains the text" search option

--mtimeless=DAYS
    Select and set the "Date modified less than" search option

--mtimemore=DAYS
    Select and set the "Date modified more than" search option

--sizemore=KILOBYTES
    Select and set the "Size at least" search option

--sizeless=KILOBYTES
    Select and set the "Size at most" search option

--empty
    Select the "File is empty" search option

--user=USER
    Select and set the "Owned by user" search option

--group=GROUP
    Select and set the "Owned by group" search option

--nouser
    Select the "Owner is unrecognized" search option

--notnamed=STRING
    Select and set the "Name does not contain" search option

--regex=PATTERN
    Select and set the "Name matches regular expression" search option

--hidden
    Select the "Show hidden and backup files" search option

--follow
    Select the "Follow symbolic links" search option

--mounts
    Select the "Exclude other filesystems" search option

AUTHOR
MATE Search Tool was originally written by George Lebl (<jirka@5z.com>). Version 2 was written by Dennis M. Cranston (<dennis_cranston@yahoo.com>). This manual page was originally written by Jochen Voss <voss@mathematik.uni-kl.de>. Version 2 was written by Dennis M. Cranston (<dennis_cranston@yahoo.com>).

SEE ALSO
find(1), locate(1), grep(1)